<?php

/**
 * @file form_theme_settings.alter.inc
 * Theme specific form generation.
 */

/**
 * Implements hook_form_theme_settings_hex_alter().
 *
 * This function called when on the theme specific settings form for Hexagon
 * or any of its child themes even if they are not active.
 *
 * @param $form
 *   Nested array of form elements that comprise the form.
 * @param $form_state
 *   A keyed array containing the current state of the form.
 */
function hex_form_theme_settings_hex_alter(&$form, &$form_state) {

  $form['development'] = array(
    '#title' => t('Development Settings'),
    '#type'          => 'fieldset',
  );
  $form['development']['development_mode'] = array(
    '#title'         => t('Development Mode'),
    '#description'   => t('Global development switch.'),
    '#type'          => 'checkbox',
    '#default_value' => hex_themeapi_setting('development_mode', 0),
  );

  $form['development']['options'] = array(
    '#type' => 'container',
    '#states'        => array(
      'visible'  => array(
        ':input[name=development_mode]' => array('checked' => TRUE),
      ),
      'invisible' => array(
        ':input[name=development_mode]' => array('checked' => FALSE),
      ),
    ),
  );
  $form['development']['options']['development_mode:disable_theme_caching'] = array(
    '#type'          => 'checkbox',
    '#title'         => t('Disable Theme Caching'),
    '#description'   => t('Disables the theme .info, registry and file caches.'),
    '#default_value' => hex_themeapi_setting('development_mode:disable_theme_caching', 0),
  );
  $form['development']['options']['development_mode:debug_log'] = array(
    '#type'          => 'checkbox',
    '#title'         => t('Debug Log'),
    '#description'   => t('Writes debug messages to the watchdog log.'),
    '#default_value' => hex_themeapi_setting('development_mode:debug_log', 0),
  );

}
