<?php

/**
 * @file system_info.alter.inc
 * System .info data generation.
 */

/**
 * Implements hook_system_info_hex_alter()
 * 
 * @todo Any changes made here requires the page to be refreshed twice before
 * it's reflected in the theme. Find a fix.
 */
function hex_system_info_hex_alter(&$info, &$theme, $type) {
  if ($type === 'theme' && in_array($theme->name, hex_active_themes())) {

    $active_theme = hex_active_theme();
    $all_plugins  = hex_plugin_list('all.active');
    $prefixes  = module_list();
    $prefixes += array('theme' => 'theme', $active_theme => $active_theme);
    $prefixes += $all_plugins;

    // Collect plug-in resources.
    foreach (hex_plugin_list("{$theme->name}.active") as $plugin) {

      $plugin_path    = substr(hex_plugin_path($plugin), strlen(dirname($theme->uri)) + 1);
      $plugin_styles  = &$info["$plugin.stylesheets"];
      $plugin_scripts = &$info["$plugin.scripts"];

      if (!isset($plugin_styles)) {
        $plugin_styles = array();
      }
      if (!isset($plugin_scripts)) {
        $plugin_scripts = array();
      }

      // Add stylesheets and scripts used by this plug-in.
      $plugin_styles = array_merge_recursive($plugin_styles, hex_plugin_info('stylesheets', array(), $plugin));
      $plugin_scripts = array_merge($plugin_scripts, hex_plugin_info('scripts', array(), $plugin));
      foreach ($prefixes as $prefix) {
        $plugin_styles  = array_merge_recursive($plugin_styles, hex_plugin_info("$prefix.stylesheets", array(), $plugin));
        $plugin_scripts = array_merge($plugin_scripts, hex_plugin_info("$prefix.scripts", array(), $plugin));
      }
      foreach ($plugin_styles as $media => &$stylesheets) {
        foreach ($stylesheets as $i => &$stylesheet) {
          $stylesheet = "$plugin_path/$stylesheet";
        }
      }
      foreach ($plugin_scripts as &$script) {
        $script = "$plugin_path/$script";
      }
    }

    // Add found styles and scripts into the main keys.
    foreach ($prefixes as $prefix) {
      if (isset($info["$prefix.stylesheets"])) {
        $info['stylesheets'] = array_merge_recursive($info['stylesheets'], $info["$prefix.stylesheets"]);
      }
      if (isset($info["$prefix.scripts"])) {
        $info['scripts'] = array_merge($info['scripts'], $info["$prefix.scripts"]);
      }
    }
  }
}
