<?php

/**
 * @file page.hex.vars.inc
 * This file processes variables for the "page" theming hook and it is
 * specific to Hexagon. This file will not be used for any other theme.
 */

// New variables.
$logo_img             = &$variables['logo_img'];
$site_id              = &$variables['site_id'];
$main_menu_links      = &$variables['main_menu_links'];
$secondary_menu_links = &$variables['secondary_menu_links'];

// Logo
$logo_img = '';
if (hex_setting('toggle_logo', 1, HEX_ACTIVE)) {
  // Moved logo into images folder.
  if (hex_setting('default_logo', 1, HEX_ACTIVE)) {
    $logo = str_replace('/logo.png', '/images/logo.png', $logo);
  }
  $logo_img = theme_image(array(
    'path' => $logo,
    'attributes' => array('alt' => $site_name, 'class' => array('logo')),
  ));
}

// Site id
if ($site_name) {
  $site_name = '<span class="site-name">' . $site_name . '</span>';
}
$site_id = '';
if ($logo_img || $site_name) {
  $site_id = l("$logo_img $site_name", '<front>', array(
    'html'       => TRUE,
    'absolute'   => TRUE,
    'attributes' => array('title' => t('Home')),
  ));
}

// Site navigation
$main_menu_links = '';
if ($main_menu) {
  $main_menu_links = theme('links__system_main_menu', array(
    'links'      => $main_menu,
    'heading'    => array('text' => t('Main menu'), 'level' => 'h2', 'class' => array('element-invisible')),
    'attributes' => array('class' => array('main-menu', 'links', 'inline')),
  ));
}
$secondary_menu_links = '';
if ($secondary_menu) {
  $secondary_menu_links = theme('links__system_secondary_menu', array(
    'links'      => $secondary_menu,
    'heading'    => array('text' => t('Secondary menu'), 'level' => 'h2', 'class' => array('element-invisible')),
    'attributes' => array('class' => array('secondary-menu', 'links', 'inline')),
  ));
}
